package com.philisense.www.service.impl;


import com.philisense.www.dao.EbookArticleTxtDAO;
import com.philisense.www.service.EbookArticleTxtService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class EbookArticleTxtServiceImpl implements EbookArticleTxtService {

@Autowired
private EbookArticleTxtDAO ebookArticleTxtDAO;

@Override
public int deleteByPrimaryKey(String id) {
return ebookArticleTxtDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return ebookArticleTxtDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return ebookArticleTxtDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return ebookArticleTxtDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return ebookArticleTxtDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return ebookArticleTxtDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return ebookArticleTxtDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return ebookArticleTxtDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return ebookArticleTxtDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return ebookArticleTxtDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
ebookArticleTxtDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
ebookArticleTxtDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
ebookArticleTxtDAO.updateBatch(list);
}
}